#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "class"
const int MaxN = 10004;

int a, b, d, h, l, s;

int euclid (int a, int b)
{
 if (a && b) return euclid (b % a, a);
 return a + b;
}

int main (void)
{
 int i;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 while (scanf (" %d %d", &a, &b) != EOF)
 {
  scanf (" %d %d", &l, &h);
  assert (1 <= a && a <= 10000);
  assert (1 <= b && b <= 10000);
  assert (0 <= l && l <= h && h <= 1000000000);

  d = euclid (a, b);
  a /= d;
  b /= d;
  l = (l + d - 1) / d;
  h /= d;

  s = 0;
  if (h > a * b)
  {
   s += h - a * b;
   h = a * b;
  }
  if (l > a * b)
  {
   s -= l - a * b;
   l = a * b;
  }

  while (l % b && l <= h)
  {
   for (i = 0; i <= l; i += a)
    if ((l - i) % b == 0)
     break;
   if (i <= l) s++;
   l++;
  }

  while ((h + 1) % b && l <= h)
  {
   for (i = 0; i <= h; i += a)
    if ((h - i) % b == 0)
     break;
   if (i <= h) s++;
   h--;
  }
//  printf ("%d %d %d\n", l, h, s);

  while (l <= h)
  {
   l += b;
   s += (l + a - 1) / a;
  }

  printf ("%d\n", s);
 }
 return 0;
}
